import { FormatUtils } from '../util/format-utils';
/**
 * auction helper functions
 * @type {{
 *   getImageThumbnail: (function(*=, *=, *=): string),
 *   getVehicleCategory: (function(*=): string),
 *   getEndingTime: (function(*=): string),
 *   formatMileageInKm: (function(*): string),
 *   getBidValue: (function(*=): string) //is this correct?
 *   getVehicleFuelType: (function(*=): string)
 * }}
 */

export const auctionUtils = (() => {
  return {
    getVehicleFuelType: function (type) {
      return FormatUtils.formatVehicleFuelType(type);
    },
    getVehicleCategory: function (type) {
      return FormatUtils.formatVehicleCategory(type);
    },
    getEndingTime: function (date) {
      return FormatUtils.formatTimeSpan(new Date(), new Date(date), false);
    },
    getBidValue: function (price) {
      return FormatUtils.formatBidValue(type);
    },
    formatMileageInKm: function (mileage) {
      return `${mileage.toFixed(0)} km`;
    },
    getImageThumbnail: function (url, width, height) {
      return FormatUtils.formatThumbnailUrl(url, width, height);
    }
  };
})();
