import { cookiePolicy } from './shared/cookie-policy';
import { auctionOverview } from './auctions/public-auction-overview';
import { botStar } from './chatbot/botstar';
import { navigationBar } from './shared/navigation-bar';
import { registrationButtons } from './shared/registration-buttons';
import { footer } from './shared/footer';
import { socialMedia } from './shared/social-media';
import { appStoresBadges } from './shared/app-stores-badges';
import { languageSwitcher } from './shared/language-switcher';
import { becomeASeller } from './shared/sellers';

/**
 * main entrypoint which initializes all other scripts
 */
document.addEventListener('DOMContentLoaded', (event) => {
  // shared, should be initialized on every page
  botStar.init();
  cookiePolicy.init();
  navigationBar.init();
  registrationButtons.init();
  footer.init();
  socialMedia.init();
  appStoresBadges.init();
  languageSwitcher.init();
  becomeASeller.init();

  // initializing auction overview only for root-page
  if (location.pathname === '/' || location.pathname === 'gw-ertrage') {
    auctionOverview.init();
    auctionOverview.initScrollListeners();
  }
});
