/**
 * show's a banner with our cookie policy
 * @type {{ init: cookiePolicy.init }}
 */
export const cookiePolicy = (() => {
  return {
    init: function () {
      const cookieSet = window.localStorage.getItem('cookie');

      if (!cookieSet) {
        $('.cookie-button').on('click', function () {
          $('.cookie-block').css('opacity', '0');

          window.localStorage.setItem('cookie', true);
        });

        window.setTimeout(function () {
          $('.cookie-block').css('opacity', '1');
        }, 5000);
      } else {
        $('.cookie-block').remove();
      }
    }
  };
})();
